/*
 * Author:      William Chia-Wei Cheng (william@cs.ucla.edu)
 *
 * Copyright (C) 1990-1993, William Cheng.
 *
 * Permission limited to the use, copy, modify, and distribute this software
 * and its documentation for any purpose is hereby granted by the Author without
 * fee, provided that the above copyright notice appear in all copies and
 * that both the copyright notice and this permission notice appear in
 * supporting documentation, and that the name of the Author not be used
 * in advertising or publicity pertaining to distribution of the software
 * without specific, written prior permission.  The Author makes no
 * representations about the suitability of this software for any purpose.
 * It is provided "as is" without express or implied warranty.  All other
 * rights (including the right to sell "tgif" and the right to sell derivative
 * works of tgif) are reserved by the Author.
 *
 * THE AUTHOR DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
 * INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, INDIRECT OR
 * CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF
 * USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
 * OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
 * PERFORMANCE OF THIS SOFTWARE.
 *
 * @(#)$Header: /amnt/kona/tangram/u/william/X11/TGIF2/RCS/cursor.e,v 2.13 1993/08/04 05:30:07 william Exp $
 */

#ifndef _CURSOR_E_
#define _CURSOR_E_

extern Cursor	nullCursor;
extern Cursor	cornerCursor;
extern Cursor	defaultCursor;
extern Cursor	handCursor;
extern Cursor	watchCursor;
extern Cursor	drawCursor;
extern Cursor	vertexCursor;
extern Cursor	textCursor;

extern int	watchCursorOnMainWindow;

extern void	SetTextCursor ARGS_DECL((Window));
extern void	SetNullCursor ARGS_DECL((Window));
extern void	SetWatchCursor ARGS_DECL((Window));
extern void	SetDrawCursor ARGS_DECL((Window));
extern void	SetVertexCursor ARGS_DECL((Window));
extern void	SetDefaultCursor ARGS_DECL((Window));
extern void	ShowCursor ARGS_DECL((void));
extern void	CreateCursor ARGS_DECL((void));
extern void	PutCursor ARGS_DECL((Window, int X, int Y, int Foreground));
extern void	CleanUpCursors ARGS_DECL((void));

#endif /*_CURSOR_E_*/
